
* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

/* video container */
.c-video {
  width: 100%;
  position: relative;
}
/* video loading prelaoder*/
.loader-area {
  display: none;
}
.loader {
  position: absolute;
  width: 100%;
  height: 100%;
  background: #101820ff;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.loader::after {
  content: "";
  position: absolute;
  border: 5px solid #f3f3f300;
  border-radius: 50%;
  border-top: 5px solid #ffffff;
  border-bottom: 5px solid #ffffff;
  width: 140px;
  height: 140px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}
/* animaiton for loader (browser support code)*/
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}
/* animaiton for loader */
@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
.loader p {
  color: #ffffff !important;
  font-size: 20px;
  text-transform: uppercase;
  text-align: center;
}
/* video player */
.video {
  width: 100%;
}
.video:hover {
  cursor: pointer;
}
/* video controler */
.controls-area {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.678);
}
.controls {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}
/* video play button **************** You can change the button style from here *****************/
.controls button {
  width: 150px;
  padding: 8px;
  background: rgba(0, 0, 0, 0.329) !important;
  outline: none;
  -webkit-box-shadow: none;
  box-shadow: none;
  border: 2px solid #ffffff;
  border-radius: 100px;
  color: #ffffff;
  font-size: 16px;
  font-weight: 400;
}
.controls button:hover {
  cursor: pointer;
}
.unmutedBtn {
  display: none;
}
.unmuted {
  display: block;
  -webkit-animation: bounc 2s linear infinite;
  animation: bounc 2s linear infinite;
}
/* animation for button bouncing */
@-webkit-keyframes bounc {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
@keyframes bounc {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
.play {
  display: none;
}
.play.active {
  display: block;
  -webkit-animation: bounc 2s linear infinite;
  animation: bounc 2s linear infinite;
}
.active {
  display: block;
}
video::-webkit-media-controls-panel {
  display: none;
  -webkit-appearance: none;
}
video::-webkit-media-controls-play-button {
  display: none;
  -webkit-appearance: none;
}
video::-webkit-media-controls-start-playback-button {
  display: none;
  -webkit-appearance: none;
}

video::-webkit-media-controls {
  display: none;
  -webkit-appearance: none;
}

#video_area {
  width: 100%;
  margin: auto;
}
.video-sticky {
  width: 20% !important;
  position: fixed;
  top: 20px;
  left: 50px;
  z-index: 11111111;
}
#crossIcon {
  display: none;
  position: relative;
  width: 16px;
  height: 16px;
}
#crossIcon:hover {
  cursor: pointer;
}
#crossIcon img {
  position: absolute;
  top: 16px;
  left: -34px;
}

/* responsive for small devices*/
@media only screen and (max-width: 480px) and (min-width: 220px) {
  .controls button {
    width: 150px;
    padding: 5px;
    border: 2px solid #ffffff;
    color: #ffffff;
    font-size: 12px;
    font-weight: 400;
  }
  .loader::after {
    content: "";
    position: absolute;
    border: 5px solid #f3f3f300;
    border-radius: 50%;
    border-top: 5px solid #ffffff;
    border-bottom: 5px solid #ffffff;
    width: 90px;
    height: 90px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
  }
  .loader p {
    color: #ffffff !important;
    font-size: 12px;
    text-transform: uppercase;
    text-align: center;
  }
  .video-sticky {
    width: 50% !important;
  }
}
/* responsive for medium screen devices */
@media only screen and (max-width: 768px) and (min-width: 481px) {
  .controls .play button {
    width: 100px;
    padding: 1px;
    border: 2px solid #ffffff;
    color: #ffffff;
    font-size: 13px;
    font-weight: 400;
  }
  .controls .unmuted {
    width: 120px;
    padding: 4px;
    border: 2px solid #ffffff;
    color: #ffffff;
    font-size: 10px;
    font-weight: 400;
  }
  .loader::after {
    content: "";
    position: absolute;
    border: 5px solid #f3f3f300;
    border-radius: 50%;
    border-top: 5px solid #ffffff;
    border-bottom: 5px solid #ffffff;
    width: 115px;
    height: 115px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
  }
  .loader p {
    color: #ffffff !important;
    font-size: 16px;
    text-transform: uppercase;
    text-align: center;
  }
  .video-sticky {
    width: 30% !important;
  }
}


/* other css test purpose */




